当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 11 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]dpkg出了问题
帖子发表于 : 2008-06-29 10:43 

注册: 2008-06-26 15:47
帖子: 111
送出感谢: 0 次
接收感谢: 0 次
现在在中断中运行
sudo apt-get install firestarter
就会出现
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
请问是什么原因阿?
需要运行
sudo dpkg --configure -a
吗?可是服务器总联不上去


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-06-29 10:54 

注册: 2007-10-21 16:49
帖子: 15
地址: 天津
送出感谢: 0 次
接收感谢: 0 次
我刚才在我的机器上试了dpkg --configure -a,没有什么提示,你可以把问题说的再清楚些,把输出都发上来看看


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-06-29 11:02 

注册: 2008-06-26 15:47
帖子: 111
送出感谢: 0 次
接收感谢: 0 次
freezee 写道:
我刚才在我的机器上试了dpkg --configure -a,没有什么提示,你可以把问题说的再清楚些,把输出都发上来看看


ee2446@ee2446-desktop:~$ sudo apt-get install firestarter
[sudo] password for ee2446:
E: 无法获得锁 /var/lib/dpkg/lock - open (11 资源临时不可用)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
ee2446@ee2446-desktop:~$ sudo apt-get install firestarter
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
ee2446@ee2446-desktop:~$ sudo dpkg --configure -a && sudo apt-get -f install
正在设置 flashplugin-nonfree (9.0.124.0ubuntu1~gutsy1) ...
Downloading...
--10:49:54-- http://fpdownload.macromedia.com/get/fl ... nux.tar.gz
=> `./install_flash_player_9_linux.tar.gz'
正在解析主机 fpdownload.macromedia.com... 125.252.202.70
正在连接 fpdownload.macromedia.com|125.252.202.70|:80... 失败:连接超时。
重试中。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-06-29 11:03 

注册: 2008-06-26 15:47
帖子: 111
送出感谢: 0 次
接收感谢: 0 次
结果一直连不上
想把它断掉,怎么断阿?


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-06-29 11:04 
头像

注册: 2007-08-05 17:40
帖子: 4968
送出感谢: 0 次
接收感谢: 4
引用:
is another process using it?


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-06-29 11:13 

注册: 2008-06-26 15:47
帖子: 111
送出感谢: 0 次
接收感谢: 0 次
cnkilior 写道:
引用:
is another process using it?

哦,那个我已经断了,没截好,请看后面
重截一次
ee2446@ee2446-desktop:~$ sudo apt-get install firestarter
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
ee2446@ee2446-desktop:~$ sudo dpkg --configure -a && sudo apt-get -f install
正在设置 flashplugin-nonfree (9.0.124.0ubuntu1~gutsy1) ...
Downloading...
--10:49:54-- http://fpdownload.macromedia.com/get/fl ... nux.tar.gz
=> `./install_flash_player_9_linux.tar.gz'
正在解析主机 fpdownload.macromedia.com... 125.252.202.70
正在连接 fpdownload.macromedia.com|125.252.202.70|:80... 失败:连接超时。
重试中。

--10:55:05-- http://fpdownload.macromedia.com/get/fl ... nux.tar.gz
(尝试次数: 2) => `./install_flash_player_9_linux.tar.gz'
正在连接 fpdownload.macromedia.com|125.252.202.70|:80... 失败:连接超时。
重试中。

--11:00:16-- http://fpdownload.macromedia.com/get/fl ... nux.tar.gz
(尝试次数: 3) => `./install_flash_player_9_linux.tar.gz'
正在连接 fpdownload.macromedia.com|125.252.202.70|:80... 失败:连接超时。
重试中。

--11:05:28-- http://fpdownload.macromedia.com/get/fl ... nux.tar.gz
(尝试次数: 4) => `./install_flash_player_9_linux.tar.gz'
正在连接 fpdownload.macromedia.com|125.252.202.70|:80... 失败:连接超时。
重试中。

--11:10:41-- http://fpdownload.macromedia.com/get/fl ... nux.tar.gz
(尝试次数: 5) => `./install_flash_player_9_linux.tar.gz'
正在连接 fpdownload.macromedia.com|125.252.202.70|:80...


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-06-29 11:15 
头像

注册: 2007-08-05 17:40
帖子: 4968
送出感谢: 0 次
接收感谢: 4
...
flash还是到那个公司主页下比较好。

因为可以下载到flash10


不过不知道可不可以删掉未完全配置的软件包?!


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-06-29 11:20 

注册: 2007-10-21 16:49
帖子: 15
地址: 天津
送出感谢: 0 次
接收感谢: 0 次
你用apt-get autoclean试试,或者apt-get deselect,具体是哪个,我不记得了,也可能是其它的


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-06-29 11:39 

注册: 2008-06-26 15:47
帖子: 111
送出感谢: 0 次
接收感谢: 0 次
freezee 写道:
你用apt-get autoclean试试,或者apt-get deselect,具体是哪个,我不记得了,也可能是其它的


ee2446@ee2446-desktop:~$ sudo apt-get autoclean
[sudo] password for ee2446:
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
ee2446@ee2446-desktop:~$ sudo apt-get deselect
E: 无效的操作 deselect
ee2446@ee2446-desktop:~$ sudo apt-get de select
E: 无效的操作 de


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-06-29 11:46 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
是 flashplugin-nonfree 这个包引起的, 要安装这个包必须能连接上adobe的站点, 否则是不可能安装成功的.


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-06-29 11:58 

注册: 2007-10-21 16:49
帖子: 15
地址: 天津
送出感谢: 0 次
接收感谢: 0 次
apt-get deselect后面要加上包的名字,


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 11 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Sogou [Spider] 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译